Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway Class Reference

MapLocation Field Type external storage gateway. More...

Inheritance diagram for eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway:

## Public Member Functions
| storeFieldData (VersionInfo $versionInfo, Field $field)
| Stores the data stored in the given $field. More...
| getFieldData (VersionInfo $versionInfo, Field $field)
| Sets the loaded field data into $field->externalData. More...
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds)
| Deletes the data for all given $fieldIds. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\StorageGateway
| setConnection ($connection)
| Sets the data storage connection to use. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\SPI\FieldType\StorageGateway
| getSequenceName ($table, $column)
| Get sequence name bound to database table and column. More...

## Detailed Description

MapLocation Field Type external storage gateway.

Definition at line 16 of file FieldType/MapLocation/MapLocationStorage/Gateway.php.

## Member Function Documentation

## ◆ deleteFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway::deleteFieldData | ( | VersionInfo | $versionInfo,
|  | array | $fieldIds
| ) |  |
| abstract

Deletes the data for all given $fieldIds.

Parameters

  VersionInfo | $versionInfo |
  array | $fieldIds |

Reimplemented in eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage.

## ◆ getFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway::getFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |
| abstract

Sets the loaded field data into $field->externalData.

Parameters

  VersionInfo | $versionInfo |
  Field | $field |

Returns
  array

Reimplemented in eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage.

## ◆ storeFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway::storeFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field
| ) |  |
| abstract

Stores the data stored in the given $field.

Potentially rewrites data in $field and returns true, if the $field needs to be updated in the database.

Parameters

  VersionInfo | $versionInfo |
  Field | $field |

Returns
  bool If restoring of the internal field data is required

Reimplemented in eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\LegacyStorage, and eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage\Gateway\DoctrineStorage.

The documentation for this class was generated from the following file:

- FieldType/MapLocation/MapLocationStorage/Gateway.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.